package gmt.protocol.ext.VO;

public class ExtMsg_STA12VO {
	private String msg;
	private String packetType;
    private int processCode;  //0 : BSC, 1 : EyeAIS-300, 2 : EyeAIS-600, 3: EyeAS-DRS, 4 : EyeAS-DSS
    private int statusCode;   //0 : Thread, 1 : DB처리, 2 : 메시지 송수신처리, 3 : 사용자 정의
    private int status;       //0 : 정상, 1 : 비정상, 2 : 미사용
	private String remark;    //비정상시 사유
	
	public ExtMsg_STA12VO() {
		this.msg = "";
		this.packetType = "";
		this.processCode = -1;
		this.statusCode = -1;
		this.status = 2;
		this.remark = "";
	}
	public String getMsg() {
		return msg;
	}
	public void setMsg(String msg) {
		this.msg = msg;
	}
	public String getPacketType() {
		return packetType;
	}
	public void setPacketType(String packetType) {
		this.packetType = packetType;
	}
	public int getProcessCode() {
		return processCode;
	}
	public void setProcessCode(int processCode) {
		this.processCode = processCode;
	}	
	public int getStatusCode() {
		return statusCode;
	}
	public void setStatusCode(int statusCode) {
		this.statusCode = statusCode;
	}		
	public int getStatus() {
		return status;
	}
	public void setStatus(int status) {
		this.status = status;
	}		
	public String getRemark() {
		return remark;
	}
	public void setRemark(String remark) {
		this.remark = remark;
	}	
}
